com.sap.conn.jco

## Interface JCoTraceListener

-     public interface JCoTraceListener

  JCo trace listener interface. An application (server) implements this interface if it wants to intercept trace messages. Typically it is needed, if the JCo traces shall be redirected into a trace infrastructure so that it's interwoven with traces of layers above.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ERROR_WARNING` Includes errors and warnings.
    `static int` | `ERRORS` Error information is written to trace.
    `static int` | `FULL_DEBUG` Full trace.
    `static int` | `FULL_PATH` Compared to `SHORT_DEBUG`, now all method invocations are traced (those that are traced at all).
    `static int` | `INFO_PATH` The invocation of additional methods is added to trace compared to `PATH_API`.
    `static int` | `INFO_PATH_API` Adds informational messages to trace in addition to errors and warnings.
    `static int` | `NONE` No trace is written.
    `static int` | `PATH_API` The invocation of API methods is added compared to `INFO_PATH_API`.
    `static int` | `SHORT_DEBUG` Some more verbose information including limited data containers are added compared to `INFO_PATH`.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `trace(int traceLevel, String message)` Called when a trace message is being issued.

- - ### Field Detail

    - #### NONE

          static final int NONE

      No trace is written.
      See Also:
        Constant Field Values

    - #### ERRORS

          static final int ERRORS

      Error information is written to trace.
      See Also:
        Constant Field Values

    - #### ERROR_WARNING

          static final int ERROR_WARNING

      Includes errors and warnings.
      See Also:
        Constant Field Values

    - #### INFO_PATH_API

          static final int INFO_PATH_API

      Adds informational messages to trace in addition to errors and warnings.
      See Also:
        Constant Field Values

    - #### PATH_API

          static final int PATH_API

      The invocation of API methods is added compared to `INFO_PATH_API`.
      See Also:
        Constant Field Values

    - #### INFO_PATH

          static final int INFO_PATH

      The invocation of additional methods is added to trace compared to `PATH_API`.
      See Also:
        Constant Field Values

    - #### SHORT_DEBUG

          static final int SHORT_DEBUG

      Some more verbose information including limited data containers are added compared to `INFO_PATH`.
      See Also:
        Constant Field Values

    - #### FULL_PATH

          static final int FULL_PATH

      Compared to `SHORT_DEBUG`, now all method invocations are traced (those that are traced at all). Additionally, the metadata is added to data container traces.
      See Also:
        Constant Field Values

    - #### FULL_DEBUG

          static final int FULL_DEBUG

      Full trace. Verbose information including complete data container dumps with metadata information, method invocations, informational traces and more.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### trace

          void trace(int traceLevel,
                   String message)

      Called when a trace message is being issued. The trace level of the message is out of the range 0 to 8.
      Parameters:
        `traceLevel` - the trace level
        `message` - the trace message

Copyright © 2018 SAP. All Rights Reserved.